using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Data.SqlClient;

namespace DataGridViewEx
{
    public partial class Form1 : Form
    {

        string connString;
        SqlConnection connection;
        SqlDataAdapter adapter;
        DataSet ds = new DataSet();
        string query;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //create the connection string
            connString = "Data Source=ServerName;Initial Catalog=DatabaseName;User ID=UserName;Password=Password";

            connection = new SqlConnection(connString);

            //create the database query^
            query = "SELECT * FROM Books";

            try
            {
                connection.Open();
                adapter = new SqlDataAdapter(query, connection);
                adapter.Fill(ds);
                connection.Close();
                dataGridView1.DataSource = ds.Tables[0];
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            foreach (DataGridViewRow r in dataGridView1.Rows)
            {

                if ((Convert.ToInt32(r.Cells[3].Value) == 1))
                {
                    //Set Row Font to Bold
                    r.DefaultCellStyle.Font = new Font("Arial", 12, FontStyle.Bold);
                }
            }
        }
    }
}

